MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024857Open CASCADE[OCCT] OCCT:Codingpublic2014-04-18 12:212014-05-05 13:39
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024857: CLang warnings -Wunused-function
DescriptionCLang on Mac OS X 10.9 reports multiple warnings -Wunused-function which in most cases indicate wrong code:
DNaming_Line3DDriver.cxx:74:29: warning: unused function 'getLine3DNamingVersionID' [-Wunused-function]
XDEDRAW_Props.cxx:492:29: warning: unused function 'doround' [-Wunused-function]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028966)
ski (developer)
2014-04-18 15:16

Unused functions were removed.
Changes are located in branch CR24857.
Please, review.
(0028974)
abv (manager)
2014-04-18 17:28

No remarks, please test
(0029024)
mkv (tester)
2014-04-22 20:05

Dear BugMaster,

Branch CR24857 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 5cdb2e94c31bf09d7ba6a14230aac21088f055d5

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 408 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355655692 / 355818864
Total CPU difference: 65184.22999999987 / 55264.28999999973

Testing on Windows:
Total MEMORY difference: 379543480 / 381861276
Total CPU difference: 35987.96875 / 43088.59375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 7759e404
Timestamp: 2014-04-18 11:15:21
Author: abv
Committer: abv
Details ] Diff ]
0024857: CLang warnings -Wunused-function

Unused functions were removed.
mod - src/DNaming/DNaming_Line3DDriver.cxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_Props.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-18 12:21 ski New Issue
2014-04-18 12:21 ski Assigned To => ski
2014-04-18 12:22 ski Status new => assigned
2014-04-18 15:16 ski Note Added: 0028966
2014-04-18 15:16 ski Assigned To ski => abv
2014-04-18 15:16 ski Status assigned => resolved
2014-04-18 17:25 abv Assigned To abv => szy
2014-04-18 17:28 abv Note Added: 0028974
2014-04-18 17:28 abv Assigned To szy => bugmaster
2014-04-18 17:28 abv Status resolved => reviewed
2014-04-18 18:19 mkv Assigned To bugmaster => mkv
2014-04-22 20:05 mkv Note Added: 0029024
2014-04-22 20:05 mkv Test case number => Not needed
2014-04-22 20:05 mkv Assigned To mkv => bugmaster
2014-04-22 20:05 mkv Status reviewed => tested
2014-04-23 10:16 abv Target Version => 6.7.1
2014-04-28 10:27 abv Changeset attached => occt master 7759e404
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker